Package org.gradle.nativeplatform.tasks

# Class PrefixHeaderFileGenerateTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.nativeplatform.tasks.PrefixHeaderFileGenerateTask

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@Incubating @DisableCachingByDefault(because="Not made cacheable, yet") public abstract class PrefixHeaderFileGenerateTask extends DefaultTask
Generates a prefix header file from a list of headers to be precompiled.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `(package private) static class`
  `PrefixHeaderFileGenerateTask.GeneratePrefixHeaderFile`
  `(package private) static interface`
  `PrefixHeaderFileGenerateTask.PrefixHeaderFileParameters`

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrefixHeaderFileGenerateTask(WorkerExecutor workerExecutor)`
  Injects a `WorkerExecutor` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `generatePrefixHeaderFile()`
  `String`
  `getHeader()`
  `File`
  `getPrefixHeaderFile()`
  `void`
  `setHeader(String header)`
  `void`
  `setPrefixHeaderFile(File prefixHeaderFile)`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### PrefixHeaderFileGenerateTask

    @Inject public PrefixHeaderFileGenerateTask(WorkerExecutor workerExecutor)
    Injects a `WorkerExecutor` instance.
    Since:
      4.2

- ## Method Details

  - ### generatePrefixHeaderFile

    void generatePrefixHeaderFile()

  - ### getHeader

    @Input public String getHeader()

  - ### setHeader

    public void setHeader(String header)

  - ### getPrefixHeaderFile

    @OutputFile public File getPrefixHeaderFile()

  - ### setPrefixHeaderFile

    public void setPrefixHeaderFile(File prefixHeaderFile)